# AppScale GTS 

[![GitHub version](https://badge.fury.io/gh/AppScale%2Fappscale.svg)](http://badge.fury.io/gh/AppScale%2Fappscale)
[![AppScale license](https://img.shields.io/badge/license-Apache%202-blue.svg)](https://github.com/AppScale/appscale/blob/master/LICENSE)

AppScale GTS is an open source serverless platform for building and running scalable web and mobile applications on any infrastructure. 

The platform enables developers to focus solely on business logic in order to rapidly build scalable apps, cleanly separating it from deployment and scaling logic. It allows operations to provide a consistent, tunable environment that can simplify running and maintaining apps on multiple infrastructures. The business will benefit from faster time-to-market, reduced operational costs, maximized application lifetime, and the flexibility to integrate with new or existing technologies.

AppScale GTS is open source and modeled on Google App Engine APIs, allowing developers to automatically deploy and scale unmodified Google App Engine applications over public and private cloud systems and on-premise clusters. It currently supports Python, Go, PHP and Java applications. The software was developed by AppScale Systems, Inc., based in Santa Barbara, California, and Google. In 2019, the company ended commercial support AppScale GTS, however the source code remains available in this GitHub Repo. 

## Why Use AppScale GTS?
The goal of AppScale GTS is to provide developers with a rapid, API-driven development platform that can run applications on any cloud infrastructure. AppScale GTS decouples application logic from its service ecosystem to give developers and cloud administrators control over application deployment, data storage, resource use, backup, and migration.

## I Want ...
* to [contribute](https://github.com/AppScale/appscale/wiki/Contribute%21)
* to [learn more](https://github.com/AppScale/appscale/wiki)

## Documentation
* Users
   * [Automated Data Persistence](https://github.com/AppScale/appscale/wiki/Automated-Data-Persistence)
  * [Multinode Deployments](https://github.com/AppScale/appscale/wiki/Distributed-Deployment)
  * [Making AppScale Scale](https://github.com/AppScale/appscale/wiki#making-appscale-scale)
* Developers
  * [Datastore Topics](https://github.com/AppScale/appscale/wiki#datastore-topics)
  * [Advanced Topics](https://github.com/AppScale/appscale/wiki#advanced-topics)
* Architecture
  * AppScale's [core components](https://github.com/AppScale/appscale/wiki#learn-about-appscale-core-components)
* [FAQs](https://github.com/AppScale/appscale/wiki/FAQs) and [Troubleshooting](https://github.com/AppScale/appscale/wiki/Troubleshooting)

## Community and Support
Join the [Community Google Group](http://groups.google.com/group/appscale_community) for announcements, help, and to discuss cloud research.
